System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

If you select the value, the system uses the configured data-validation algorithm, based on the machineKey tag. This is the default, and recommended, value.

If you select , cookies might be subject to plaintext attacks.

If you select , the cookie is created using cookie validation by concatenating a validation key with the cookie data, computing a Message Authentication Code (MAC), and appending the MAC to the outgoing cookie.

Defines the type of encryption, if any, to use for cookies.

- Field
  System.Web.Configuration.FormsProtectionEnum To be added

  Specifies that the application use both data validation and encryption to help protect cookies. This option uses the configured data-validation algorithm (based on the machineKey element). Triple-DES (3DES) is used for encryption, if it is available and if the key is at least 48 bytes long. All is the default (and recommended) value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Configuration.FormsProtectionEnum To be added

  Specifies that cookies are encrypted using Triple-DES or DES, but data validation is not performed on cookies. Cookies used this way might be subject to chosen plaintext security attacks.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Configuration.FormsProtectionEnum To be added

  Specifies that both encryption and validation are disabled for sites that use cookies only for personalization and thus have weaker security requirements. Using cookies in this manner is not recommended; however, it is the least resource-intensive way to enable personalization using the .NET Framework.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Configuration.FormsProtectionEnum To be added

  Specifies that the application use a validation scheme to verify that the contents of an encrypted cookie have not been altered in transit. The cookie is created by concatenating a validation key with the cookie data, computing a Message Authentication Code (MAC), and appending the MAC to the outgoing cookie.

  1.0.5000.0
  2.0.0.0